Skip to main content
`Ctrl`+`K`

# PetscDeviceContextJoinMode

Describes the type of join operation to perform in `PetscDeviceContextJoin()`

## Synopsis

    #include <petscdevicetypes.h>
    typedef enum {
      PETSC_DEVICE_CONTEXT_JOIN_DESTROY,
      PETSC_DEVICE_CONTEXT_JOIN_SYNC,
      PETSC_DEVICE_CONTEXT_JOIN_NO_SYNC
    } PetscDeviceContextJoinMode;

## Values

- `PETSC_DEVICE_CONTEXT_JOIN_DESTROY` - Destroy all incoming sub-contexts after join.

- `PETSC_DEVICE_CONTEXT_JOIN_SYNC` - Synchronize incoming sub-contexts after join.

- `PETSC_DEVICE_CONTEXT_JOIN_NO_SYNC` - Do not synchronize incoming sub-contexts after join.

## See Also

`PetscDeviceContext`, `PetscDeviceContextFork()`, `PetscDeviceContextJoin()`

## Level

beginner

## Location

include/petscdevicetypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages